Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 412221 - net-libs/webkit-gtk-1.8.0-r200 USE="-gstreamer" - DerivedSources/webkit/WebKitDOMHTMLMediaElement.cpp:149:5: error: ‘HTMLMediaElement’ is not a member of ‘WebCore’
Summary: net-libs/webkit-gtk-1.8.0-r200 USE="-gstreamer" - DerivedSources/webkit/WebKi...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-16 15:20 UTC by Paweł Rumian
Modified: 2012-05-03 09:14 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (build.log,164.63 KB, text/plain)
2012-04-16 15:20 UTC, Paweł Rumian
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paweł Rumian 2012-04-16 15:20:18 UTC
Created attachment 309149 [details]
Build log

Emerging net-libs/webkit-gtk-1.8.0-r200 fails with USE="-gstreamer":
make: *** [DerivedSources/webkit/libwebkitgtk_1_0_la-WebKitDOMHTMLMediaElement.lo] Error 1

Build log attached.

It initially failed earlier because of USE="-geoloc", so the build was made with patch from bug 411955.

Compiling with USE="gstreamer" works OK.

# emerge -pqv =net-libs/webkit-gtk-1.8.0-r200
[ebuild     U ] net-libs/webkit-gtk-1.8.0-r200 [1.6.3-r200] USE="jit spell webgl (-aqua) -coverage -debug -geoloc% -gstreamer -introspection -test" 

# emerge --info
Portage 2.2.0_alpha100 (default/linux/amd64/10.0/desktop, gcc-4.5.3, glibc-2.14.1-r3, 3.3.0-gentoo x86_64)
=================================================================
System uname: Linux-3.3.0-gentoo-x86_64-AMD_Athlon-tm-_II_X3_450_Processor-with-gentoo-2.1
Timestamp of tree: Mon, 16 Apr 2012 11:00:01 +0000
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.3, 3.2.2-r1
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo local-repo
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 bash-completion bluetooth branding bzip2 cairo cdda cdr cli cracklib crypt cups cxx dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdu gif gnutls gpm gtk iconv ipv6 jpeg lapack lcms mad mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf png ppds pppd python readline session smp spell sse sse2 ssl startup-notification svg sysfs tcpd threads tiff truetype udev unicode usb vdpau vorbis x264 xcb xml xmp xorg xulrunner xv xvid zlib" ALSA_CARDS="emu10k1" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="directory" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon r600" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Jeroen Roovers gentoo-dev 2012-04-16 18:40:42 UTC
In function ‘void webkit_dom_html_media_element_set_property(GObject*, guint, const GValue*, GParamSpec*)’:
DerivedSources/webkit/WebKitDOMHTMLMediaElement.cpp:149:5: error: ‘HTMLMediaElement’ is not a member of ‘WebCore’
Comment 2 Ted Tanberry 2012-04-16 19:55:26 UTC
This bug is also present in net-libs/webkit-gtk-1.8.0-r300 and fails at the exact same line.
Comment 3 Piotr Szymaniak 2012-04-18 21:19:19 UTC
(In reply to comment #0)
> It initially failed earlier because of USE="-geoloc", so the build was made
> with patch from bug 411955.

Same issue here.
Comment 4 Boney McCracker 2012-04-21 01:28:40 UTC
Same problem here.
Comment 5 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-04-21 09:30:35 UTC
Reported upstream at https://bugs.webkit.org/show_bug.cgi?id=84526
Comment 6 Paweł Rumian 2012-04-26 12:09:13 UTC
Changing to all platforms as it just happened to me on an x86.
Comment 7 Paweł Rumian 2012-05-02 12:54:22 UTC
The patch submitted at the upstream bugreport fixed the issue for me.
Comment 8 Boney McCracker 2012-05-03 00:08:20 UTC
Praise Jupiter!  I was afraid somebody was going to tell me webkit was now going to be part of systemd.
Comment 9 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-05-03 07:00:10 UTC
(In reply to comment #7)
> The patch submitted at the upstream bugreport fixed the issue for me.

Thanks. Should be fixed in 1.8.1-r301 and -r201.

>*webkit-gtk-1.8.1-r301 (03 May 2012)
>*webkit-gtk-1.8.1-r201 (03 May 2012)
>
>  03 May 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
>  +webkit-gtk-1.8.1-r201.ebuild, +webkit-gtk-1.8.1-r301.ebuild,
>  +files/webkit-gtk-1.8.1-CodeGeneratorGObject-properties.patch,
>  +files/webkit-gtk-1.8.1-tests-xvfb.patch:
>  Fix build failure with USE=-gstreamer (bug #412221, thanks to Paweł Rumian).
Comment 10 Nikolaj Šujskij 2012-05-03 08:49:42 UTC
Why could it not be fixed without revbump? Now lots of people with +gstreamer have to rebuild one of the biggest packages with no real reason.
Comment 11 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-05-03 09:14:55 UTC
(In reply to comment #10)
> Why could it not be fixed without revbump?

Because the fix consists of a patch to webkit-gtk's code generator. A change to the code generator results in changes in over 150 .cpp files which will get compiled no matter whether you have +gstreamer or -gstreamer. So even though the change looks safe and correct, and does not appear to break anything after doing a lot of testing, it's certainly significant enough to require a revision bump.